PCI_CFG_ACCESS_LOCK(9)

NAME
pci_cfg_access_lock - Lock PCI config reads/writes

SYNOPSIS

void pci_cfg_access_lock(struct pci_dev * dev);

ARGUMENTS

dev
    pci device struct

DESCRIPTION

When access is locked, any userspace reads or writes to config space and concurrent lock requests will sleep until access is allowed via pci_cfg_access_unlocked again.

COPYRIGHT